complete -c overmask -n "__fish_use_subcommand" -s s -l seed-file -d 'Where original read-only data should be read from' -r -F
complete -c overmask -n "__fish_use_subcommand" -s o -l overlay-file -d 'Where modified (written) data should be stored' -r -F
complete -c overmask -n "__fish_use_subcommand" -s m -l mask-file -d 'Where a mask of the modified data should be stored' -r -F
complete -c overmask -n "__fish_use_subcommand" -s b -l block-size -d 'Block size for all read and write operations' -r
complete -c overmask -n "__fish_use_subcommand" -s i -l ignore-errors -d 'Ignore IO errors from the underlying files'
complete -c overmask -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_use_subcommand" -s V -l version -d 'Print version'
complete -c overmask -n "__fish_use_subcommand" -f -a "apply" -d 'Apply the overlay on top of the seed using the mask'
complete -c overmask -n "__fish_use_subcommand" -f -a "a" -d 'Apply the overlay on top of the seed using the mask'
complete -c overmask -n "__fish_use_subcommand" -f -a "clean" -d 'Deduplicate data between the seed and overlay'
complete -c overmask -n "__fish_use_subcommand" -f -a "c" -d 'Deduplicate data between the seed and overlay'
complete -c overmask -n "__fish_use_subcommand" -f -a "device" -d 'Create a virtual block device to capture writes'
complete -c overmask -n "__fish_use_subcommand" -f -a "d" -d 'Create a virtual block device to capture writes'
complete -c overmask -n "__fish_use_subcommand" -f -a "dev" -d 'Create a virtual block device to capture writes'
complete -c overmask -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c overmask -n "__fish_seen_subcommand_from apply" -l force
complete -c overmask -n "__fish_seen_subcommand_from apply" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from a" -l force
complete -c overmask -n "__fish_seen_subcommand_from a" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from clean" -s t -l truncate -d 'Truncate the overlay and mask files to the last used byte'
complete -c overmask -n "__fish_seen_subcommand_from clean" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from c" -s t -l truncate -d 'Truncate the overlay and mask files to the last used byte'
complete -c overmask -n "__fish_seen_subcommand_from c" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from device" -s n -l nbd-device -d 'nbd device file (requires nbd kernel module)' -r -F
complete -c overmask -n "__fish_seen_subcommand_from device" -s t -l nbd-timeout -d 'nbd device timeout in seconds' -r
complete -c overmask -n "__fish_seen_subcommand_from device" -s p -l print-operations -d 'Print every IO operation (`read()`, `write()`, `flush()`, etc)'
complete -c overmask -n "__fish_seen_subcommand_from device" -s T -l trim-no-punch-holes -d 'Don\'t punch holes (fallocate) in overlay and mask on `trim()`'
complete -c overmask -n "__fish_seen_subcommand_from device" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from d" -s n -l nbd-device -d 'nbd device file (requires nbd kernel module)' -r -F
complete -c overmask -n "__fish_seen_subcommand_from d" -s t -l nbd-timeout -d 'nbd device timeout in seconds' -r
complete -c overmask -n "__fish_seen_subcommand_from d" -s p -l print-operations -d 'Print every IO operation (`read()`, `write()`, `flush()`, etc)'
complete -c overmask -n "__fish_seen_subcommand_from d" -s T -l trim-no-punch-holes -d 'Don\'t punch holes (fallocate) in overlay and mask on `trim()`'
complete -c overmask -n "__fish_seen_subcommand_from d" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from dev" -s n -l nbd-device -d 'nbd device file (requires nbd kernel module)' -r -F
complete -c overmask -n "__fish_seen_subcommand_from dev" -s t -l nbd-timeout -d 'nbd device timeout in seconds' -r
complete -c overmask -n "__fish_seen_subcommand_from dev" -s p -l print-operations -d 'Print every IO operation (`read()`, `write()`, `flush()`, etc)'
complete -c overmask -n "__fish_seen_subcommand_from dev" -s T -l trim-no-punch-holes -d 'Don\'t punch holes (fallocate) in overlay and mask on `trim()`'
complete -c overmask -n "__fish_seen_subcommand_from dev" -s h -l help -d 'Print help'
complete -c overmask -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from apply; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from device; and not __fish_seen_subcommand_from help" -f -a "apply" -d 'Apply the overlay on top of the seed using the mask'
complete -c overmask -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from apply; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from device; and not __fish_seen_subcommand_from help" -f -a "clean" -d 'Deduplicate data between the seed and overlay'
complete -c overmask -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from apply; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from device; and not __fish_seen_subcommand_from help" -f -a "device" -d 'Create a virtual block device to capture writes'
complete -c overmask -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from apply; and not __fish_seen_subcommand_from clean; and not __fish_seen_subcommand_from device; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
